module Clarc
  class Response
    attr_reader :status, :result

    def initialize status, result
      @status, @result = status, result
    end

    def method_missing name, *args, &block
      return super unless name.end_with?('?')
      @status.to_sym == name[0..-2].to_sym
    end
  end
end
