module Clarc
  module UseCaseable
    protected

    def usecase klass, &block
      uc = klass.new(request)
      uc.response.result.each do |attr, value|
        instance_variable_set("@#{attr}", value)
      end
      uc.perform(&block)
      uc.response
    end
  end
end
